package cn.com.ty.lift.ud.neety.protocol;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户房间基本信息
 * 
 * @author sKing 2020年5月28日
 */
public class RoomVo {
    // 用户id
    private String userId;
    // 未读消息数量
    private int unreadNum;

    // 发送人
    private String name;

    // 头像
    private String avatarUrl;

    // 是否在线
    private boolean flag;

    private String sessionId;

    // 未读消息列表
    private List<ChatMsgDTO> msgList = new ArrayList<>();

    public RoomVo() {
        super();
    }

    public RoomVo(String userId, int unreadNum, String name, String avatarUrl, boolean flag, String sessionId) {
        super();
        this.userId = userId;
        this.unreadNum = unreadNum;
        this.name = name;
        this.avatarUrl = avatarUrl;
        this.flag = flag;
        this.sessionId = sessionId;
    }

    public RoomVo(String userId, int unreadNum, String name, String avatarUrl, boolean flag, List<ChatMsgDTO> msgList) {
        super();
        this.userId = userId;
        this.unreadNum = unreadNum;
        this.name = name;
        this.avatarUrl = avatarUrl;
        this.flag = flag;
        this.msgList = msgList;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getUnreadNum() {
        return unreadNum;
    }

    public void setUnreadNum(int unreadNum) {
        this.unreadNum = unreadNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public boolean getFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public List<ChatMsgDTO> getMsgList() {
        return msgList;
    }

    public void setMsgList(List<ChatMsgDTO> msgList) {
        this.msgList = msgList;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

}
